Skip to main content
`Ctrl`+`K`

# SNESLineSearchVIDirDerivFn

A prototype of a `SNES` function that computes the directional derivative considering the VI bounds, passed to `SNESLineSearchSetVIFunctions()`

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode SNESLineSearchVIDirDerivFn(SNES snes, Vec f, Vec u, Vec y, PetscScalar *fty);

## Calling Sequence

- snes - `SNES` context

- f - the function vector to compute the directional derivative with

- u - the current solution, entries that are on the VI bounds are ignored

- y - the direction to compute the directional derivative

- fty - the resulting directional derivative

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchVIProjectFn`, `SNESLineSearchVIProjectFn`, `SNESLineSearchSetVIFunctions()`, `SNESLineSearchGetVIFunctions()`

## Level

advanced

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages